aboutsummaryrefslogtreecommitdiff
path: root/network/weex
diff options
context:
space:
mode:
Diffstat (limited to 'network/weex')
-rwxr-xr-xnetwork/weex/weex.SlackBuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/network/weex/weex.SlackBuild b/network/weex/weex.SlackBuild
new file mode 100755
index 0000000..69f1407
--- /dev/null
+++ b/network/weex/weex.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=weex
+VERSION=2.6.1.5
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://www.enjoy.ne.jp/~gm
+FLAGS="-O2 -march=pentium -mcpu=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+CFLAGS=$FLAGS CXXFLAGS=$FLAGS ./configure --prefix=/usr
+make
+
+# Install
+make install prefix=$PKG/usr
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+weex: Weex (fast WEbpage EXchanger)
+weex:
+weex: Weex is a utility that automates the task of remotely maintaining a
+weex: Web page or an FTP archive.
+weex:
+weex:
+weex:
+weex:
+weex:
+weex:
+weex:
+EOF
+
+(
+ cd doc
+ install -m644 -g0 -o0 AUTHORS BUGS* ChangeLog* FAQ* README* THANKS TODO \
+ sample.weex $PKG/usr/doc/$NAME-$VERSION
+)
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip $PKG/usr/bin/* ||:
+
+chown -R root.root $PKG
+chgrp bin $PKG/usr/bin $PKG/usr/bin/*
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz